<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getOwnedSourceFiles](./bitburner.singularity.getownedsourcefiles.md)

## Singularity.getOwnedSourceFiles() method

Get a list of acquired Source-Files.

**Signature:**

```typescript
getOwnedSourceFiles(): SourceFileLvl[];
```
**Returns:**

[SourceFileLvl](./bitburner.sourcefilelvl.md)<!-- -->\[\]

Array containing an object with number and level of the source file.

## Remarks

RAM cost: 5 GB

Returns an array of source files

